Zernio
APIFor you
Zernio
APIFor you
API Reference

Twitter Engagement

Search recent tweetsGETLook up a tweetGETBookmark a tweetPOSTFollow a userPOSTRemove bookmarkDELETERetweet a postPOSTUndo retweetDELETEUnfollow a userDELETE
Dashboard
OverviewPlatformsAPI ReferenceResources
Twitter Engagement

Retweet a post

Retweet (repost) a tweet by ID. Rate limit: 50 requests per 15-min window. Shares the 300/3hr creation limit with tweet creation.


POST
/v1/twitter/retweet

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.twitterengagement.retweetPost({  body: {    accountId: 'account_abc123',    tweetId: 'tweet_abc123',  },});console.log(data);
{  "status": "string",  "tweetId": "string",  "retweeted": true,  "platform": "string"}
Was this page helpful?

Remove bookmark

Remove a bookmark from a tweet.

Undo retweet

Undo a retweet (un-repost a tweet).

accountId*string

The account ID

tweetId*string

The ID of the tweet to retweet